<div style="margin-top: 15px" ng-controller="FilterUpdateCcidCtrl"
     class="listViewTopMenuDiv noprint">
    <div class="listViewActionsDiv row-fluid">

        <form name="form"
              ng-submit="apply(selectedClient, selectedDsp,selectedCountryModel,selectedUtilizationModel,selectedOfferModel, selectedPeriodFrom, selectedPeriodTo)">
            <table
                    class="table table-bordered blockContainer showInlineTable equalSplit">
                <thead>
                <tr>
                    <th class="blockHeader" colspan="8" ng-show="ctrl.hideForm"><span
                            ng-click="ctrl.hideForm=false" class="glyphicon glyphicon-expand"></span>&nbsp;Parametri
                        Ricerca
                    </th>
                    <th class="blockHeader" colspan="8" ng-hide="ctrl.hideForm"><span
                            ng-click="ctrl.hideForm=true"
                            class="glyphicon glyphicon-collapse-down"></span>&nbsp;Parametri
                        Ricerca
                    </th>
                </tr>
                </thead>
                <tbody ng-hide="ctrl.hideForm">
                <tr>
                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px"> <span
                            class="redColor" ng-show="selectedClient === None">*</span>CLIENTE
                    </label></td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
							<span class="span10">
								<select name="clientname" id="clientname"
                                        ng-model="selectedClient"
                                        ng-options="item.companyName for item in ctrl.anagClientData track by item.idAnagClient"
                                        ng-change="applyFilterDsp(selectedClient)"
                                        required>
							</select>
							</span>
                        </div>
                    </td>
                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px">DSP
                    </label></td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
							<span class="span10"> <select name="dspname" id="dspname"
                                                          ng-model="selectedDsp"
                                                          ng-options="item.name for item in ctrl.dspList track by item.idDsp">
							</select>
							</span>
                        </div>
                    </td>
                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px"> <span
                            class="redColor" ng-show="form.process.$invalid">*</span>TERRITORIO
                    </label></td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
							<span class="span10">
								<div class="input-large">
									<div ng-dropdown-multiselect="" options="countrySelectionList"
                                         selected-model="selectedCountryModel" checkboxes="false"
                                         extra-settings="multiselectSettings"></div>
								</div>
							</span>
                        </div>
                    </td>

                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px"> <span
                            class="redColor" ng-show="form.process.$invalid">*</span>TIPO DI
                        UTILIZZO
                    </label></td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
							<span class="span10">
								<div class="input-large">
									<div ng-dropdown-multiselect=""
                                         options="utilizationSelectionList"
                                         selected-model="selectedUtilizationModel" checkboxes="false"
                                         extra-settings="multiselectSettings"></div>
								</div>
							</span>
                        </div>
                    </td>


                    <!-- <td>
                            <div ng-controller="DatepickerPopupCtrl">
                                <pre>Selected date is: <em>{{dt | date:'fullDate' }}</em></pre>

                                <h4>Popup</h4>
                                <div class="row">


                                    <div class="col-md-4">
                                        <p class="input-group">
                                            <input type="text" class="form-control" uib-datepicker-popup ng-model="dt" is-open="popup2.opened" datepicker-options="dateOptions" ng-required="true" close-text="Close" />
                                            <span class="input-group-btn">
                                                <button type="button" class="btn btn-default" ng-click="open2()"><i class="glyphicon glyphicon-calendar"></i></button>
                                            </span>
                                        </p>
                                    </div>
                                </div>
                                <hr />
                            </div>

                        </td> -->


                </tr>
                <tr>
                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px"> <span
                            class="redColor" ng-show="form.process.$invalid">*</span>INIZIO
                        PERIODO DI VALIDITA'
                    </label></td>
                    <td class="fieldLabel medium" nowrap><input type="text"
                                                                class="span9 input-small datepickerFrom"
                                                                style="width: 180px"
                                                                ng-model="selectedPeriodFrom">
                        <script
                                type="text/javascript">
                            $(".datepickerFrom").datepicker({
                                format: 'mm-yyyy',
                                language: 'it',
                                viewMode: "months",
                                minViewMode: "months",
                                autoclose: true,
                                todayHighlight: true
                            });
                        </script>
                        <span class="glyphicon glyphicon-erase"
                              style="margin-top: 6px;" ng-click="selectedPeriodFrom=undefined;"></span>
                    </td>
                    <!--   <td class="fieldValue medium">

                            <div class="input-group">
                            <span class="span10">
                                 <select name="monthFrom" id="monthFrom" ng-model="selectedMonthFrom" ng-options="item.name for item in ctrl.months track by item.id" required></select>
                            </span>
                                <span class="span10">
                                 <select ng-model="yearFrom"	ng-options="n for n in [] | year_range:1900:2017" required></select>
                            </span>
                            </div>


                        </td> -->

                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px"> <span
                            class="redColor" ng-show="form.process.$invalid">*</span>FINE
                        PERIODO DI VALIDITA'
                    </label></td>
                    <td class="fieldLabel medium"><input type="text"
                                                         class="span9 input-small datepickerTo" style="width: 180px"
                                                         ng-model="selectedPeriodTo">
                        <script
                                type="text/javascript">
                            $(".datepickerTo").datepicker({
                                format: 'mm-yyyy',
                                language: 'it',
                                viewMode: "months",
                                minViewMode: "months",
                                autoclose: true,
                                todayHighlight: true
                            });
                        </script>
                        <span class="glyphicon glyphicon-erase"
                              style="margin-top: 6px;" ng-click="selectedPeriodTo=undefined;"></span>

                    </td>
                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px"> <span
                            class="redColor" ng-show="form.process.$invalid">*</span>OFFERTA
                        COMMERCIALE
                    </label></td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
							<span class="span10">
								<div class="input-large">
									<div ng-dropdown-multiselect="" options="offerSelectionList"
                                         selected-model="selectedOfferModel" checkboxes="false"
                                         extra-settings="multiselectSettings"></div>
								</div>
							</span>
                        </div>
                    </td>


                    <!--   <td class="fieldValue medium">

                            <div class="input-group">
                            <span class="span10">
                                 <select name="monthTo" id="monthTo" ng-model="selectedMonthTo" ng-options="item.name for item in ctrl.months track by item.id" required></select>
                            </span>
                                <span class="span10">
                                 <select ng-model="yearTo"	ng-options="n for n in [] | year_range:1900:2017" required></select>
                            </span>
                            </div>


                        </td> -->

                    <td class="fieldLabel medium" nowrap colspan="4"></td>
                </tr>

                <tr>
                    <td class="fieldLabel medium" style="text-align: right" nowrap
                        colspan="8">
                        <button ng-disabled="form.$invalid || selectedClient === None"
                                class="btn addButton"
                                type="submit">
                            <span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;<strong>Applica</strong>
                        </button>
                    </td>
                </tr>
                </tbody>
            </table>
        </form>
    </div>

</div>